Skip to main content
GET
/
v1
/
forms
/
type
/
{type}
List forms by type
curl --request GET \
  --url https://incoming.qomon.app/v1/forms/type/{type} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "forms": [
      {
        "id": 1,
        "label": "<string>",
        "refvalues": [
          {
            "form_id": 1,
            "id": 1,
            "label": "<string>",
            "value": "<string>",
            "CreatedAt": "2023-11-07T05:31:56Z",
            "UpdatedAt": "2023-11-07T05:31:56Z",
            "max": 1,
            "min": 1,
            "order": 1,
            "step": 1
          }
        ],
        "CreatedAt": "2023-11-07T05:31:56Z",
        "UpdatedAt": "2023-11-07T05:31:56Z",
        "group_id": [
          123
        ]
      }
    ]
  },
  "status": "<string>"
}

Authorizations

Authorization
string
header
required

OAuth2 access token. Pass the token in the Authorization header as Bearer <token>. The token is looked up in Redis to resolve the caller identity.

Path Parameters

type
enum<string>
required

Form type.

Available options:
consent,
survey,
level_of_support,
custom_fields,
presence_status,
tasks
Example:

"consent"

Response

OK

data
object
required
status
string
required

Operation result.

Example:

"success"

Last modified on June 16, 2026